Home / API Documentation / Operations center / Object of notification / Differentiated update notification object

Differentiated update notification object

Requests

HTTP request

PATCH /apis/aiops.alauda.io/v1beta1/namespaces/{namespace}/notificationreceivers/{name}

partially update the specified NotificationReceiver

Path parameters

Name Type Required Description
name string Truename of the NotificationReceiver
namespace string Trueobject name and auth scope, such as for teams and projects

Query parameters

Name Type Required Description
dryRun string FalseWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldManager string FalsefieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.
pretty string FalseIf 'true', then the output is pretty printed.

Request body

Content-Type application/json-patch+json, application/merge-patch+json, application/apply-patch+yaml

Sample request

Patch is provided to give a concrete name and type to the Kubernetes PATCH request body.

{
   "metadata": {
     "annotations": {
       "cpaas.io/operator": "admin@cpaas.io"
     }
   }
 }

Responses

Content-Type application/json, application/yaml

Status code: 200

OK

Sample response

NotificationReceiver is the Schema for the Servers API

{
   "apiVersion": "aiops.alauda.io/v1beta1",
   "kind": "NotificationReceiver",
   "metadata": {
     "annotations": {
       "cpaas.io/creator": "admin@cpaas.io",
       "cpaas.io/display-name": "wechat",
       "cpaas.io/updated-at": "2021-06-11T10:22:14Z"
     },
     "creationTimestamp": "2021-06-11T10:22:14Z",
     "generation": 1,
     "labels": {
       "cpaas.io/destination-md5": "ccac854043d6bd56288c8d1939512e2b",
       "cpaas.io/display-name-md5": "855a3b1b5f04a16bb093201a1e8c4910",
       "cpaas.io/type": "wechat"
     },
     "managedFields": [
       {
         "apiVersion": "aiops.alauda.io/v1beta1",
         "fieldsType": "FieldsV1",
         "fieldsV1": {
           "f:metadata": {
             "f:annotations": {
               ".": {},
               "f:cpaas.io/display-name": {}
             },
             "f:labels": {
               ".": {},
               "f:cpaas.io/type": {}
             }
           },
           "f:spec": {
             ".": {},
             "f:destination": {}
           }
         },
         "manager": "Mozilla",
         "operation": "Update",
         "time": "2021-06-11T10:22:14Z"
       }
     ],
     "name": "https---qyapi-weixin-qq-com-cgi-bin-webhook-send-key-29a3522e-8ffb-44e2-a4da-4498daee033c-4fj3k",
     "namespace": "cpaas-system",
     "resourceVersion": "10511939",
     "selfLink": "/apis/aiops.alauda.io/v1beta1/namespaces/cpaas-system/notificationreceivers/https---qyapi-weixin-qq-com-cgi-bin-webhook-send-key-29a3522e-8ffb-44e2-a4da-4498daee033c-4fj3k",
     "uid": "cd67e29e-6437-412c-8321-011333741228"
   },
   "spec": {
     "destination": "https://qyapi.weixin.qq.com/cgi-bin/webhook/send?key=29a3522e-8ffb-44e2-a4da-4498daee033c"
   }
 }

Parameters

Name Type Description
apiVersion string See common parameters
kind string See common parameters
metadata object See common parameters
spec object NotificationReceiverSpec defines the desired state of NotificationReceiver
Path: spec
spec.destination string Destination define the destination of a receiver
Path: spec.destination

Other status codes

Status code: 401

Unauthorized